Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IContact

All Superinterfaces:
  IGroupwareItem, IItem, com.compoze.collab.messaging.IMessagingItem, IPerson, java.io.Serializable

All Known Subinterfaces:
  IExchangeContact

public interface IContact
extends IPerson, IGroupwareItem

This class represents a contact in the groupware schema.

Field Summary
`static Key` | `BIRTHDAY` Represents the contact's birthday
`static Key` | `CHILDREN` Represents the names of the contact's children.
`static ItemClass` | `CLASS` The item class of `IContact`.
`static int` | `KEYID_BIRTHDAY` The `int` ID for the `BIRTHDAY` key.
`static int` | `KEYID_CHILDREN` The `int` ID for the `CHILDREN` key.
`static int` | `KEYID_SPOUSE_NAME` The `int` ID for the `SPOUSE_NAME` key.
`static Key` | `SPOUSE_NAME` Represents the name of the contact's spouse.

Fields inherited from interface com.compoze.collab.groupware.IPerson
`ASSISTANT, BUSINESS_ADDRESS_CITY, BUSINESS_ADDRESS_COUNTRY, BUSINESS_ADDRESS_POSTAL_CODE, BUSINESS_ADDRESS_STATE, BUSINESS_ADDRESS_STREET, BUSINESS_FAX, BUSINESS_PAGER, BUSINESS_PHONE, COMPANY_NAME, DEPARTMENT_NAME, DISPLAY_NAME, FIRST_NAME, JOB_TITLE, KEYID_ASSISTANT, KEYID_BUSINESS_ADDRESS_CITY, KEYID_BUSINESS_ADDRESS_COUNTRY, KEYID_BUSINESS_ADDRESS_POSTAL_CODE, KEYID_BUSINESS_ADDRESS_STATE, KEYID_BUSINESS_ADDRESS_STREET, KEYID_BUSINESS_FAX, KEYID_BUSINESS_PAGER, KEYID_BUSINESS_PHONE, KEYID_COMPANY_NAME, KEYID_DEPARTMENT_NAME, KEYID_DISPLAY_NAME, KEYID_FIRST_NAME, KEYID_JOB_TITLE, KEYID_LAST_NAME, KEYID_MANAGER_NAME, KEYID_MIDDLE_NAME, KEYID_NAME_PREFIX, KEYID_NAME_SUFFIX, KEYID_OFFICE_LOCATION, KEYID_PERSONAL_ADDRESS_CITY, KEYID_PERSONAL_ADDRESS_COUNTRY, KEYID_PERSONAL_ADDRESS_POSTAL_CODE, KEYID_PERSONAL_ADDRESS_STATE, KEYID_PERSONAL_ADDRESS_STREET, KEYID_PERSONAL_FAX, KEYID_PERSONAL_MOBILE_PHONE, KEYID_PERSONAL_PHONE, KEYID_SMTP_ADDRESS, KEYID_WEB_PAGE, LAST_NAME, MANAGER_NAME, MIDDLE_NAME, NAME_PREFIX, NAME_SUFFIX, OFFICE_LOCATION, PERSONAL_ADDRESS_CITY, PERSONAL_ADDRESS_COUNTRY, PERSONAL_ADDRESS_POSTAL_CODE, PERSONAL_ADDRESS_STATE, PERSONAL_ADDRESS_STREET, PERSONAL_FAX, PERSONAL_MOBILE_PHONE, PERSONAL_PHONE, SMTP_ADDRESS, WEB_PAGE`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.util.Date` | `getBirthday()` Gets the contact's birthday.
`java.lang.String[]` | `getChildren()` Gets the contact's childrens' names.
`java.lang.String` | `getSpouse()` Gets the contact's spouse's name.
`void` | `setBirthday(java.util.Date birthday)` Sets the contact's birthday.
`void` | `setChildren(java.lang.String[] sChildren)` Sets the contact's childrens' names.
`void` | `setSpouse(java.lang.String sSpouse)` Sets the contact's spouse's name.

Methods inherited from interface com.compoze.collab.groupware.IPerson
`getAssistant, getBusinessAddress, getBusinessFax, getBusinessPager, getBusinessPhone, getCompanyName, getDepartmentName, getDisplayName, getFirstName, getHomeFax, getHomePhone, getJobTitle, getLastName, getManagerName, getMiddleName, getNamePrefix, getNameSuffix, getOfficeLocation, getPersonalAddress, getPersonalMobilePhone, getSmtpAddress, getWebPage, setAssistant, setBusinessAddress, setBusinessFax, setBusinessPager, setBusinessPhone, setCompanyName, setDepartmentName, setDisplayName, setFirstName, setHomeFax, setHomePhone, setJobTitle, setLastName, setManagerName, setMiddleName, setName, setNamePrefix, setNameSuffix, setOfficeLocation, setPersonalAddress, setPersonalMobilePhone, setSmtpAddress, setWebPage`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_BIRTHDAY

    public static final int KEYID_BIRTHDAY

  The `int` ID for the `BIRTHDAY` key.

  See Also:
    Constant Field Values

### KEYID_CHILDREN

    public static final int KEYID_CHILDREN

  The `int` ID for the `CHILDREN` key.

  See Also:
    Constant Field Values

### KEYID_SPOUSE_NAME

    public static final int KEYID_SPOUSE_NAME

  The `int` ID for the `SPOUSE_NAME` key.

  See Also:
    Constant Field Values

### BIRTHDAY

    public static final Key BIRTHDAY

  Represents the contact's birthday

### CHILDREN

    public static final Key CHILDREN

  Represents the names of the contact's children.

### SPOUSE_NAME

    public static final Key SPOUSE_NAME

  Represents the name of the contact's spouse.

### CLASS

    public static final ItemClass CLASS

  The item class of `IContact`.

Method Detail

### setBirthday

    public void setBirthday(java.util.Date birthday)
                     throws CollaborationException

  Sets the contact's birthday.

  Parameters:
    `birthday` - the birthday
  Throws:
    `CollaborationException` - if there was an error setting the birthday

### getBirthday

    public java.util.Date getBirthday()
                               throws CollaborationException

  Gets the contact's birthday.

  Returns:
    the birthday
  Throws:
    `CollaborationException` - if there was an error getting the birthday
  See Also:
    `setBirthday(Date)`

### setChildren

    public void setChildren(java.lang.String[] sChildren)
                     throws CollaborationException

  Sets the contact's childrens' names.

  Parameters:
    `sChildren` - the childrens' names
  Throws:
    `CollaborationException` - if there was an error setting the childrens' names

### getChildren

    public java.lang.String[] getChildren()
                                   throws CollaborationException

  Gets the contact's childrens' names.

  Returns:
    the childrens' names
  Throws:
    `CollaborationException` - if there was an error getting the childrens' names
  See Also:
    `setChildren(String[])`

### setSpouse

    public void setSpouse(java.lang.String sSpouse)
                   throws CollaborationException

  Sets the contact's spouse's name.

  Parameters:
    `sSpouse` - the spouse's name
  Throws:
    `CollaborationException` - if there was an error setting the spouse's name

### getSpouse

    public java.lang.String getSpouse()
                               throws CollaborationException

  Gets the contact's spouse's name.

  Returns:
    the spouse's name
  Throws:
    `CollaborationException` - if there was an error getting the spouse's name
  See Also:
    `setSpouse(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.